ExecutionContext (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.fork
[Groovy] Class ExecutionContext

    java.lang.Object
      org.codehaus.groovy.grails.cli.fork.ExecutionContext

All Implemented Interfaces:
  java.io.Serializable

    @groovy.transform.CompileStatic
    class ExecutionContext
    extends java.lang.Object

Property Summary
`java.io.File` | `agentJar`
`java.util.Map` | `argsMap`
`java.io.File` | `baseDir`
`java.util.List` | `buildDependencies`
`java.io.File` | `classesDir`
`int` | `daemonPort`
`java.lang.String` | `env`
`java.util.Map` | `forkConfig`
`java.io.File` | `grailsHome`
`java.io.File` | `grailsWorkDir`
`ForkedGrailsProcess` | `process`
`java.io.File` | `projectPluginsDir`
`java.io.File` | `projectWorkDir`
`java.util.List` | `providedDependencies`
`java.io.File` | `resourcesDir`
`java.util.List` | `runtimeDependencies`
`java.util.Map` | `systemProps`
`java.io.File` | `testClassesDir`
`java.util.List` | `testDependencies`

Constructor Summary
`ExecutionContext()`
`ExecutionContext(ForkedGrailsProcess process)`

Method Summary
`protected java.util.List` | `buildMinimalIsolatedClasspath(BuildSettings buildSettings)`
`void` | `initialize(BuildSettings settings)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### agentJar

    java.io.File agentJar

### argsMap

    java.util.Map argsMap

### baseDir

    java.io.File baseDir

### buildDependencies

    java.util.List buildDependencies

### classesDir

    java.io.File classesDir

### daemonPort

    int daemonPort

### env

    java.lang.String env

### forkConfig

    java.util.Map forkConfig

### grailsHome

    java.io.File grailsHome

### grailsWorkDir

    java.io.File grailsWorkDir

### process

    ForkedGrailsProcess process

### projectPluginsDir

    java.io.File projectPluginsDir

### projectWorkDir

    java.io.File projectWorkDir

### providedDependencies

    java.util.List providedDependencies

### resourcesDir

    java.io.File resourcesDir

### runtimeDependencies

    java.util.List runtimeDependencies

### systemProps

    java.util.Map systemProps

### testClassesDir

    java.io.File testClassesDir

### testDependencies

    java.util.List testDependencies

Constructor Detail

### ExecutionContext

    ExecutionContext()

### ExecutionContext

    ExecutionContext(ForkedGrailsProcess process)

Method Detail

### buildMinimalIsolatedClasspath

    @groovy.transform.CompileStatic
    protected java.util.List buildMinimalIsolatedClasspath(BuildSettings buildSettings)

### initialize

    void initialize(BuildSettings settings)

Groovy Documentation